import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Trail here.
 * 
 * Author: Zac Saunders
 * Current Version: 2.0
 * Past Versions:
 * 1.0- Introduced the trans(Transparency)variable 
 * 1.5- Set an end to the trail by removing it once the transparency gets below a set amount.
 * 2.0- Added comments
 */
public class Trail extends Actor
{
    private int trans = 255;
    public void act() 
    {
       getImage().setTransparency(trans);
       trans = trans - 25;
       //The higher the number above, the shorter the trail will be.
       if(trans<25) {
           getWorld().removeObject(this);
           //Once the trans becomes below 25, the end of the trail is removed. This sets the end to the...
           //.. trail
    }    
  }
}
