import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Paddle here.
 * 
 * Author: Zac Saunders
 * Current Version: 2.0
 * Past Versions:
 * 1.0- Introduced the paddle, its size, and fill color.
 * 1.5- Added the movement that controls the paddle.
 * 2.0- Added nessisary comments.
 */
public class Paddle extends Actor
{
    public Paddle()
    {
        GreenfootImage img = new GreenfootImage(20,100);
        //Creates the paddle and sets its size.
        img.fill();
        //Fills the paddle with the automatic color of black.
        setImage(img);
    }
    
    public void act() 
    {
        //If the player hits the down arrow, the paddle will move down with a speed of 8.
       if(Greenfoot.isKeyDown("down")){
           setLocation( getX(), getY()+8 );
        }
        //If the player hits the up arrow, the paddle will move down with a speed of 8.
       if(Greenfoot.isKeyDown("up")){
           setLocation( 50, getY()-8 );
        }
    }    
}
